
D4Science Infrastructure - Incident #12379

StorageHub not working on all VREs under D4Research VO 

Sep 03, 2018 06:48 PM - Massimiliano Assante

Status: Closed Start date: Sep 03, 2018

Priority: Normal Due date: Sep 03, 2018

Assignee: Lucio Lelii % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

History

#1 - Sep 04, 2018 09:45 AM - Roberto Cirillo

- Status changed from New to In Progress

#2 - Sep 04, 2018 09:49 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Massimiliano Assante

The resource is registered properly under D4Research VO.

Could you add a minimal description in order to understand better the problem?

Have you notice some exception on portal log?

Have you a link to a not working portlet? In which scope have you notice that the storagehub services is not responding? Thanks

#3 - Sep 04, 2018 11:06 AM - Massimiliano Assante

Yesterday, on AGINFRAPlus and other VREs under D4Research the workspace widget (exploit storage hub was not working), today is back to work,

Not sure what happened but in attachment is the exception thrown yesterday in the portal log. As you can see there were issues in finding the

endpoint 

2018-09-03 16:49:17,894 INFO  o.g.r.d.i.Helper [RuntimePageImpl-8,queryAddAuthenticationControl:200][PORTAL] 1

355438 [RuntimePageImpl-8] INFO  org.gcube.resources.discovery.icclient.Helper - submitting filtered query: de

clare namespace ic = 'http://gcube-system.org/namespaces/informationsystem/registry'; declare namespace functx

 = "http://www.functx.com"; declare function functx:is-value-in-sequence   ( $value as xs:anyAtomicType? , $se

q as xs:anyAtomicType* )  as xs:boolean { $value = $seq } ;  for  $entry0ValueAuth in  collection('/db/Profile

s/RunningInstance')//Document/Data/ic:Profile/Resource/Scopes , $entry in $entry0ValueAuth/../Profile/AccessPo

int/RunningInstanceInterfaces/Endpoint  where  (functx:is-value-in-sequence('/d4science.research-infrastructur

es.eu/D4Research/AgroClimaticModelling',$entry0ValueAuth/child::*[local-name()='Scope']/text()) or functx:is-v

alue-in-sequence('/d4science.research-infrastructures.eu/D4Research',$entry0ValueAuth/child::*[local-name()='S

cope']/text()))  and ( ($entry0ValueAuth/../Profile/ServiceClass/text() eq 'DataAccess') and ($entry0ValueAuth

/../Profile/ServiceName/text() eq 'StorageHub') and ($entry0ValueAuth/../Profile/DeploymentData/Status/text() 

eq 'ready') and (contains($entry/string(),'storagehub/workspace'))  ) return $entry/text()

java.lang.RuntimeException: org.gcube.common.clients.exceptions.DiscoveryException: no endpoints found for org

.gcube.resources.discovery.client.queries.impl.XQuery@c33e1e15=declare namespace ic = 'http://gcube-system.org

/namespaces/informationsystem/registry'; for $resource in collection('/db/Profiles/RunningInstance')//Document

/Data/ic:Profile/Resource, $entry in $resource/Profile/AccessPoint/RunningInstanceInterfaces/Endpoint where ($

resource/Profile/ServiceClass/text() eq 'DataAccess') and ($resource/Profile/ServiceName/text() eq 'StorageHub

') and ($resource/Profile/DeploymentData/Status/text() eq 'ready') and (contains($entry/string(),'storagehub/w

orkspace')) return $entry/text()

    at org.gcube.common.storagehub.client.proxies.DefaultWorkspaceManager.getVreFolder(DefaultWorkspaceManager

.java:137)

    at org.gcube.portlets.user.wswidget.StorageHubServiceUtil.getWorkspaceFolderURL(StorageHubServiceUtil.java

:136)

    at org.apache.jsp.html.workspacewidget.view_jsp._jspService(view_jsp.java:466)

    at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:70)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    ...

    at java.util.concurrent.FutureTask.run(FutureTask.java:266)

    at com.liferay.portal.kernel.concurrent.ThreadPoolExecutor$WorkerTask._runTask(ThreadPoolExecutor.java:682

)

    at com.liferay.portal.kernel.concurrent.ThreadPoolExecutor$WorkerTask.run(ThreadPoolExecutor.java:593)

    at java.lang.Thread.run(Thread.java:748)
Caused by: org.gcube.common.clients.exceptions.DiscoveryException: no endpoints found for org.gcube.resources.

discovery.client.queries.impl.XQuery@c33e1e15=declare namespace ic = 'http://gcube-system.org/namespaces/infor

mationsystem/registry'; for $resource in collection('/db/Profiles/RunningInstance')//Document/Data/ic:Profile/

Resource, $entry in $resource/Profile/AccessPoint/RunningInstanceInterfaces/Endpoint where ($resource/Profile/

ServiceClass/text() eq 'DataAccess') and ($resource/Profile/ServiceName/text() eq 'StorageHub') and ($resource

/Profile/DeploymentData/Status/text() eq 'ready') and (contains($entry/string(),'storagehub/workspace')) retur

n $entry/text()

    at org.gcube.common.clients.delegates.DiscoveryDelegate.make(DiscoveryDelegate.java:118)

    at org.gcube.common.storagehub.client.proxies.DefaultWorkspaceManager.getVreFolder(DefaultWorkspaceManager

.java:134)

    ... 63 more

#4 - Sep 04, 2018 12:02 PM - Roberto Cirillo

- File noendpoints.log added

#6 - Sep 04, 2018 12:35 PM - Roberto Cirillo

- Assignee changed from Massimiliano Assante to Lucio Lelii

The exceptions found yesterday are 40 not 84 as previously said. All the exceptions were related to the storagehub resource under D4Research VO

except for 2 exceptions regarding the missing AquaMaps resource under SmartArea and SoBigData VO.

My trouble is: why only the StorageHub resource give this exception? Was this pure coincidence? @lucio.lelii@isti.cnr.it any opinion?

#7 - Sep 04, 2018 12:35 PM - Roberto Cirillo

- Priority changed from Urgent to Normal

#8 - Sep 04, 2018 03:02 PM - Roberto Cirillo

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

The problem seems to be related to the IS-Registry service of D4Research VO that sometimes fails to republish the GCoreEndpoint:

2018-09-03 14:51:17,455 INFO  publisher.ISResourcePublisher [ServiceThread-7721,info:78] ISResourcePublisher: 

ISPublisher is going to publish the GCUBEResource e659e189-82df-4b98-84c6-efb5bf61db42

2018-09-03 14:51:19,686 ERROR generic.GCUBEGenericBulkPublisher [BulkPublisher,error:72] GCUBEGenericBulkPubli

sher: Unable to publish resources for Profiles/RunningInstance in scope /d4science.research-infrastructures.eu

/D4Research

java.lang.ArrayIndexOutOfBoundsException

2018-09-03 14:51:20,187 ERROR generic.GCUBEGenericBulkPublisher [BulkPublisher,error:72] GCUBEGenericBulkPubli

sher: Unable to publish resources for Profiles/GHN in scope /d4science.research-infrastructures.eu/D4Research

java.lang.ArrayIndexOutOfBoundsException

 I'm going to close this incident and open a specific ticket in order to investigate about this issue.

Files

noendpoints.log 102 KB Sep 04, 2018 Roberto Cirillo
